libidn: another dependency

Hazel Russman hazeldebian at googlemail.com
Fri May 18 16:19:11 UTC 2018


If you run "prt-get dependent" on libidn, you just get gnutls. However ghostscript is an unlisted dependency too. After the latest libidn update, ghostscript stopped working on my machine. ldd showed that it was linked to the new libidn.so.12 through gnutls (which I rebuilt a couple of days ago) but also directly to libidn.so.11, which of course was no longer there. And that was enough to put my printer out of commission.

I have rebuilt ghostscript and now everything works again (cross fingers!). Really this libidn update has caused more trouble than it's worth.

-- 


More information about the CRUX mailing list